Agents that publish an A2A /.well-known/agent-card.json — 6300 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6300 indexed agents, 5491 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法.
【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。
Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact
【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
|
A | 10.00 |
| 2 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
SHIP
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
|
A | 10.00 |
| 5 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
| 6 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 7 |
Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
|
A | 10.00 |
| 8 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 9 |
Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
|
A | 10.00 |
| 10 |
Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Admin Substitute” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
-
AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.
“Agenstry” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
-
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“BlogSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
SEO that executes: keywords, calendar, articles written, scored and published to your CMS, backlinks
-
**SEO that executes, not just reports.** [BlogSEO](https://www.blogseo.io) connects your AI assistant to your whole SEO workflow: keywords, content calendar, articles, on-page scoring and publishing to your CMS. ## What you can do - **Keywords**: list tracked keywords with Google Search Console positions, research new ones from seed keywords, refresh metrics, expand topic clusters, find cannibalization and compare rankings between periods. - **Content calendar**: read the schedule, add articles with a brief and a target keyword, reschedule, edit or remove pending articles, get headline suggestions. - **Articles**: read and list articles, update the headline, slug, meta description, cover image and alt text, edit content with AI, then publish or sync to WordPress, Shopify, Webflow, a custom webhook or the hosted blog. - **SEO checks**: on-page SEO score, competitor benchmark and AI improvements for an article or pasted content, plus domain rating, backlink profile and keyword density for any page. - **Multiple websites**: built for agencies and owners running several sites. Pick which websites the assistant can use on the consent screen. ## Example prompts - "Show my keywords ranking between position 5 and 15 with the most impressions, and what to change on each page to reach page 1." - "Schedule an article for next Monday targeting 'cold email deliverability' and brief it to compare Gmail and Outlook filtering." - "Score my latest article and apply the top three fixes." ## Access and safety Sign in with OAuth, no API key to paste. The assistant acts only on websites where you are an admin or owner. Actions that spend credits ask for confirmation first and report the remaining balance. No tokens, payment data or integration credentials are ever returned. Revoke access any time under Settings > Security. Requires a BlogSEO account. [How it works](https://www.blogseo.io/seo-mcp) · [Documentation](https://blogseo.io/docs/integrations/mcp)
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“CommsHarbor” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Email on your domain, webmail and a management API. Start free with 1 GB shared across unlimited mailboxes. Choose a paid package to send email.
-
Email hosting for your domain (webmail, IMAP, SMTP); the MCP helps an assistant prepare domain setup, check DNS verification and manage mailboxes and aliases.
“CONNSKILL Growth Services” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
“Fanfare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
-
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
“ForceDream” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
-
mcp degraded
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
-
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
“freeinvoicer.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
freeinvoicer.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent https://freeinvoicer.com/api/a2a/rpca2a degraded
Official Google A2A Protocol Agent Card for freeinvoicer.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
-
freeinvoicer.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent https://freeinvoicer.com/api/a2a/x402/publishx402 degraded
Official Google A2A Protocol Agent Card for freeinvoicer.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HirePulse Agent Gateway” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...
-
Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.
“iotsoftwaredeveloper.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
iotsoftwaredeveloper.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent https://iotsoftwaredeveloper.com/api/a2a/rpca2a degraded
Official Google A2A Protocol Agent Card for iotsoftwaredeveloper.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
-
iotsoftwaredeveloper.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent https://iotsoftwaredeveloper.com/api/a2a/x402/publishx402 degraded
Official Google A2A Protocol Agent Card for iotsoftwaredeveloper.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“PaidSync” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Autonomous paid media operator. PaidSync gives AI agents read and write access to Google Ads, Meta Ads, LinkedIn Ads, TikTok Ads, Snapchat Ads, Reddit Ads, Pinterest Ads, Microsoft Ads, Google Tag Manager, Google Analytics 4, Google Search Console, Google Merchant Center, and ChatGPT Ads through on…
-
PaidSync is an MCP server with over 309 verified tools across 8 platforms (Google Ads, Meta Ads, LinkedIn Ads, TikTok Ads, Google Tag Manager, Google Analytics 4, Google Search Console, Google Merchant Center). Full read+write on every ad platform plus tracking infrastructure setup and Shopping feed control. Operator-confirmation gate on every write action. Verified Google Premier Partner, Meta Business Partner, LinkedIn Marketing Partner, and TikTok Marketing Partner concurrently. The only MCP for advertising holding all four verifications. Founded by Ahmed Ashraf with over $500M in managed advertising spend. Lean MCP runtime exposes 20 tools at session start with over 309 callable via the paidsync_exec sandbox, reducing context overhead by 95% compared to traditional MCP servers. Free tier: 15 calls/month, no credit card. Paid plans start at $49/month with full write access on every platform.
“SkedCast” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
-
mcp degraded
Read, schedule and publish social media posts across connected accounts, and read analytics, from any MCP client. Built for agencies managing many clients. Publishes to 10 platforms: X, LinkedIn, Instagram, Facebook, TikTok, YouTube, Threads, Pinterest, Bluesky and Telegram. OAuth 2.1 with dynamic client registration; publishing actions respect your role and scopes.
“TableCharts” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp degraded
skills: {'id': 'generate_dashboard', 'name': 'Generate Dashboard', 'description': 'Accepts tabular data and returns a public live-updating dashboard URL with an embed iframe.', 'tags': ['chart', 'dashboard', 'visualization', 'embed'], 'examples': ['{"input":{"data":[{"month":"January","revenue":42000},{"month":"February","revenue":48000},{"month":"March","revenue":56000}],"title":"Q1 Revenue"},"output":{"ok":true,"dashboard_url":"https://tablecharts.co/embed/abc123","embed_iframe":"<iframe src=\\"https://tablecharts.co/embed/abc123\\" width=\\"800\\" height=\\"500\\" frameborder=\\"0\\"></iframe>","chart_type":"bar","rows":3}}'], 'input_modes': ['application/json', 'text/csv', 'text/uri-list'], 'output_modes': ['application/json']}; conformance: fail
-
Lightning-fast chart & dashboard agent for A2A workflows. Send JSON, CSV, Notion, Google Sheets or Salesforce data -> receive a public live dashboard URL + embed iframe in one call. Auto-cleans data, picks best chart, detects outliers. Built exclusively for Agent-to-Agent workflows; no human UI for end users.
“Tech Detect” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402engine” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
a2a x402 ok
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
x402-enabled service at https://x402engine.app [x402: $0.001/call on eip155:8453, category=utility]
-
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.7 🔓 open JSONRPC 80 skills -
TableChartsTableCharts● healthy
Lightning-fast chart & dashboard agent for A2A workflows. Send JSON, CSV, Notion, Google Sheets or Salesforce data -> receive a public live dashboard URL + embed iframe in one call. Auto-cleans data, picks best chart, detects outliers. Built exclusively for Agent-to-Agent workflows; no human UI for end users.
C+9.0 🔑 human key JSONRPC 2 skills -
AgencyAIPilotAgencyAIPilot● healthy
Reliable A2A execution agent for digital agencies and AI swarms. Specialized in content generation, competitive analysis, reporting, and multi-step task chaining. Returns clean structured JSON on every skill. Supports parallel execution, sessions, webhooks, and x402 payments.
B9.3 🔑 human key 9 skills -
SINCOR Agent SwarmSINCOR● healthy
SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.
A9.8 🔓 open JSONRPC 17 skills -
ForceDreamForceDream● healthy
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
C8.0 🔑 human key JSONRPC 18 skills -
DomainDNA by CyberMaxCyberMax● healthy
Paid API keys from $19/month (Scout: 5,000 domain checks a month); free tier 25 domain checks a day per IP with no key. Buy: https://domaindna-api.cybermaxtools.com/buy/scout?s=lead · all plans: https://domaindna-api.cybermaxtools.com/docs#pricing. Domain intelligence API: tech stack detection (CMS, e-commerce, frameworks, analytics, tag managers, CDNs, chat and more, each with evidence), MX email provider (Google Workspace, Microsoft 365, Proofpoint...), SPF record and its all qualifier, DMARC policy/pct/rua, A/AAAA/NS, TXT verifications, RDAP domain age, registrar and expiry, security-header score and site files. REST + MCP server.
B9.6 🔑 human key JSONRPC 4 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
BrainstormRouterBrainstormRouter● healthy
Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.
B9.2 🔑 human key 670 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.2 🔓 open 87 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B+9.6 🔓 open 21 skills -
FanfareFanfare● healthy
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
B9.5 🔓 open 74 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.4 🔓 open JSONRPC 130 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.2 🔓 open 39 skills -
x402enginex402engine● healthy
Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.
B+9.8 🔓 open 14 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.6 🔓 open 191 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+9.1 🔓 open 68 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
E2.1 🔓 open 284 skills -
Tech DetectDie Netzhandwerker● healthy
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
C+9.0 🔓 open 107 skills -
AgentryAgentry● healthy
AI Agent Directory — discover, search, compare, and register AI agents. 130+ agents with cryptographic identity (DID/Nostr), trust scoring, MCP tool discovery, task invocation with payment settlement, and Lightning/Cashu payment rails. 135 API routes.
B9.3 🔑 human key 8 skills -
BlogSEOSearch Optimization SAS● healthy
BlogSEO is an AI SEO platform: keyword research, SEO articles written in the brand's voice and published automatically to the website's CMS, backlinks, Google rankings and AI visibility tracking. BlogSEO does not run an A2A JSON-RPC agent. Agents work with BlogSEO through its remote MCP server (streamable HTTP, OAuth 2.1), the only interface listed in supportedInterfaces. Use this card to discover what BlogSEO can do, and the MCP server to do it.
B9.5 🔑 human key 7 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.7 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.3 🔓 open JSONRPC 72 skills -
CommsHarborCommsHarbor● healthy
Email on your domain, webmail and a management API. Start free with 1 GB shared across unlimited mailboxes. Choose a paid package to send email.
C+9.0 🔓 open 24 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
B9.5 🔓 open 104 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
C+9.0 🔓 open 123 skills -
AgenstryAgenstry● healthy
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
B9.2 🔑 human key 41 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.5 🔓 open 22 skills -
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
C+9.1 🔓 open JSONRPC 47 skills -
x402 money tools for AI agents: a one-signature USDC bridge from Base to 16 chains, the live Polymarket price to beat (BTC, ETH, SOL, XRP on 5m and 15m), a tokenized US stock basket from $1, and gas paid in USDC, plus free USDC and x402 debugging tools and a remote MCP server (28 tools). No account, no API key. The stock index: agent-native tokenized-stock index on Base. Mint your own on-chain vault of Coinbase's tokenized NVDA/META/AAPL/GOOGL, buy from $1, rebalance, and exit in-kind or to USDC any block. No oracle, no token, fully self-custodial. Reads free; transactions return unsigned calldata the agent signs.
A9.8 🔓 open 10 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.0 🔓 open 39 skills -
x402enginex402engine● healthy
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
A9.9 🔓 open 13 skills -
PaidSyncPaidSync● healthy
Autonomous paid media operator. PaidSync gives AI agents read and write access to Google Ads, Meta Ads, LinkedIn Ads, TikTok Ads, Snapchat Ads, Reddit Ads, Pinterest Ads, Microsoft Ads, Google Tag Manager, Google Analytics 4, Google Search Console, Google Merchant Center, and ChatGPT Ads through one MCP endpoint with 630+ tools across 14 platforms. Built for AI-driven ad management without human handoffs.
B+9.8 🔓 open 7 skills -
x402 money tools for AI agents: a one-signature USDC bridge from Base to 16 chains, the live Polymarket price to beat (BTC, ETH, SOL, XRP on 5m and 15m), a tokenized US stock basket from $1, and gas paid in USDC, plus free USDC and x402 debugging tools and a remote MCP server (28 tools). No account, no API key. The stock index: agent-native tokenized-stock index on Base. Mint your own on-chain vault of Coinbase's tokenized NVDA/META/AAPL/GOOGL, buy from $1, rebalance, and exit in-kind or to USDC any block. No oracle, no token, fully self-custodial. Reads free; transactions return unsigned calldata the agent signs.
B+9.7 🔓 open 10 skills -
PaidSync● healthy
Autonomous paid media operator. PaidSync gives AI agents read and write access to Google Ads, Meta Ads, LinkedIn Ads, TikTok Ads, Snapchat Ads, Reddit Ads, Pinterest Ads, Microsoft Ads, Google Tag Manager, Google Analytics 4, Google Search Console, Google Merchant Center, and ChatGPT Ads through on…
C8.0 🔓 open -
Scribe● healthy
Scribe is an email signature management platform for Google Workspace and Microsoft 365. Agents can manage signatures, teammates, campaigns, and analytics through the hosted MCP server at https://mcp.scribe-mail.com/mcp (OAuth 2.1 with dynamic client registration) or the REST API at https://api.scr…
C7.3 🔓 open -
Official Google A2A Protocol Agent Card for freeinvoicer.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
E4.8 🔓 open JSONRPC 6 skills -
Official Google A2A Protocol Agent Card for iotsoftwaredeveloper.com (Security, Device Analytics & Telecom Software, Tier 2). Provides programmatic Pay-Per-Post / GEO citation publishing across 101 live SSR domains (93 de-duplicated canonical properties across 12 verticals), deterministic topological PageRank/CWV/WCAG audits, $15/mo NVMe SSR hosting + AI agent provisioning, and TCPA-verified vertical lead exchange with 50% recurring affiliate commissions and x402 Base USDC settlement.
E4.9 🔓 open JSONRPC 6 skills -
Admin SubstituteAdmin Substitute Pty Ltd● degraded
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
E4.8 🔓 open 102 skills -
Describe the data your agent needs in plain language and buy a data pipeline as a Docker image over x402. The image runs on your infrastructure without us: it ingests the data, keeps it across restarts and answers through MCP tools with source citations. Quotes are free; you pay only after the image is built and tested.
E1.8 🔓 open 47 skills -
Lexicon is a Multi-Industry Comparison Intelligence Engine that retrieves live evidence from up to 20 independent web sources and applies structured analytical frameworks to produce doctoral-grade, evidence-backed verdicts. Designed for autonomous enterprise research swarms. Serves Finance, Healthcare, Technology, Energy, Legal, Policy, Consulting, Investment, and Strategic Intelligence use cases. All output is structured, citation-rich, and verdict-confident.
E1.8 🔓 open 7 skills